# Event signups ## `DELETE /api/events/{event_id}/signup` **Remove your signup** Removes the signed-in member's signup for an event, if any. **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `event_id` | path | string (uuid) | yes | The event's ID. | **Response `204`** — The signup was removed. ## `PUT /api/events/{event_id}/signup` **Create or update your signup** Creates or replaces the signed-in member's signup for an event. Returns 404 for an unknown event and 409 if the event is not open for signups. **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `event_id` | path | string (uuid) | yes | The event's ID. | **Request body** Model: {ref}`SignupUpsert ` | Field | Type | Required | Description | |---|---|---|---| | `character` | string \| null | no | | | `class` | {ref}`WowClass ` \| null | no | | | `role` | {ref}`SignupRole ` \| null | no | | | `status` | {ref}`SignupStatus ` | yes | | | `comment` | string \| null | no | | **Response `200` — The member's signup.** Model: {ref}`Signup ` | Field | Type | Required | Description | |---|---|---|---| | `id` | string (uuid) | yes | | | `member` | {ref}`SignupMember ` | yes | | | `character` | string \| null | yes | | | `class` | {ref}`WowClass ` \| null | yes | | | `role` | {ref}`SignupRole ` \| null | yes | | | `status` | {ref}`SignupStatus ` | yes | | | `comment` | string \| null | yes | | | `group` | integer \| null | yes | | | `bench` | boolean | yes | | | `updated_at` | string (date-time) | yes | |